/**
 * Нода дерева
 * Представляет интефрейс для доступа к данным глобальной ноды в ядре
 * Позволяет узнать потомков ноды
 *
 * @class Node
 * @memberof Trees.GlobalTree
 */
function Node() {
    /**
     * Возвращает ссылку на атрибут ноды.
     *  Работает через промис.
     *
     * @public
     * @function get
     * @param {v2.string} attributeName Имя атрибута
     * @returns {tools.promise}
     * @memberof Trees.GlobalTree.Node
     */
    this.get = function(attributeName) {

    };

    /**
     * Добавляет новый динамический атрибут в ноду.
     * Ничего не возвращает.
     *
     * @public
     * @function add_node
     * @param {v2.vc} _attrs
     * @memberof Trees.GlobalTree.Node
     */
    this.add_node = function(_attrs) {

    };

    /**
     * Возвращает уникальный идентификатор ноды.
     *
     * @public
     * @function id
     * @returns {v2.integer}
     * @memberof Trees.GlobalTree.Node
     */
    this.id = function() {

    };

    /**
     * Возвращает список потомков ноды.
     *  Работает через промис.
     *
     * @public
     * @function children
     * @returns {tools.promise}
     * @memberof Trees.GlobalTree.Node
     */
    this.children = function() {

    };

    /**
     * Доступ к менеджеру детей
     * @public
     * @function cm
     * @returns {NodeChildren}
     * @memberof Trees.GlobalTree.Node
     */
    this.cm = function() {

    };
}